' Fig. 9.18: ConstructorAndFinalizer.vb
' Display order in which base-class and derived-class constructors
' and finalizers are called.

Module modConstructorAndFinalizer

    Sub Main()
        Dim circle1, circle2 As CCircle5

        circle1 = New CCircle5(72, 29, 4.5) ' instantiate objects
        circle2 = New CCircle5(5, 5, 10)

        circle1 = Nothing ' mark objects for garbage collection
        circle2 = Nothing

        System.GC.Collect() ' request garbage collector to execute
    End Sub ' Main 

End Module ' modConstructorAndFinalizer

